ca-certificates-mozilla/compareoldnew
Ludwig Nussel b9cc952398 - update certificates to revision 1.83
* new: EC_ACC.pem
  * new: Hellenic_Academic_and_Research_Institutions_RootCA_2011.pem
  * new: Security_Communication_RootCA2.pem
  * removed: TC_TrustCenter_Germany_Class_2_CA.pem
  * removed: TC_TrustCenter_Germany_Class_3_CA.pem
  * removed: Verisign_Class_1_Public_Primary_Certification_Authority.1.pem
  * removed: Verisign_Class_2_Public_Primary_Certification_Authority.pem
  * removed: Verisign_Class_4_Public_Primary_Certification_Authority_G2.pem
- license change to MPL-2.0

OBS-URL: https://build.opensuse.org/package/show/Base:System/ca-certificates-mozilla?expand=0&rev=27
2012-05-03 12:41:21 +00:00

47 lines
1.0 KiB
Bash

#!/bin/bash
# print fingerprints of new or changed certificates
set -e
cleanup()
{
rm -rf new{,.files} old{,.files}
}
showcert()
{
openssl x509 -in "$1" -noout -subject -fingerprint -nameopt multiline,utf8,-esc_msb \
| sed -ne 's/ *commonName *= / CN: /p; s/.*Fingerprint=/ sha1: /p'
}
cleanup
trap cleanup EXIT
mkdir old new
cd old
echo old...
VERBOSE=1 ../extractcerts.pl --trustbits < ../.osc/certdata.txt > tmp
sort < tmp > ../old.files
rm -f tmp
cd ..
cd new
echo new...
VERBOSE=1 ../extractcerts.pl --trustbits < ../certdata.txt > tmp
sort < tmp > ../new.files
rm -f tmp
cd ..
echo '----------------------------'
while read line; do
IFS='#' eval set -- \$line
old="$1"
new="$2"
common="$3"
if [ -n "$old" ]; then
echo "! removed: $old"
showcert old/$old
elif [ -n "$new" ]; then
echo "! new: $new"
showcert new/$new
elif ! cmp "old/$common" "new/$common"; then
echo "! diff: $common"
showcert old/$common
showcert new/$common
diff -u old/$common new/$common || true
fi
done < <(comm --output-delimiter='#' old.files new.files)